textures/tp_ctf/window_sky
{
	qer_editorimage textures/tp_ctf/window_sky.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodlight
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/tp_ctf/window_sky.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/proto2/grate_trim
{    
     surfaceparm	metalsteps	   
        {
		map textures/sfx/specular.tga
                tcGen environment
                blendfunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
		map textures/proto2/grate_trim.tga
                blendfunc blend
		rgbGen identity
	}
        {
		map $lightmap
                blendfunc filter
		rgbGen identity
	}
}
textures/proto2/rail01
{
	surfaceparm trans	
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/proto2/rail01.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/proto2/bluea_dcl
{    
     surfaceparm	nomarks   
     surfaceparm	trans
	 surfaceparm	nonsolid
     surfaceparm pointlight
	polygonOffset
	qer_trans 0.5
	sort 6
	nopicmip
        {
		map textures/proto2/bluea_dcl.tga
                blendfunc add
		rgbGen vertex
	}
}
textures/proto2/snow01
{
	qer_trans 0.50
    	qer_editorimage textures/proto2/snowed.tga
    	cull disable
    	deformVertexes autoSprite2
    	deformVertexes wave 50 sin 0 3 0 .2
    	surfaceparm trans
    	surfaceparm pointlight
    	surfaceparm nonsolid

	{
		map textures/proto2/snow02.tga
        	tcmod scroll 0.025 -0.28
		blendfunc blend

	}
	{
		map textures/proto2/snow02.tga
        	tcmod scroll -0.01 -0.4
		blendfunc blend
		rgbGen wave sin 0.5 0 0 0

	}
}
textures/tp_ctf/tp_ctf_blue
{
	qer_editorimage textures/tp_ctf/tp_ctf_blue_neon.jpg
	q3map_globaltexture
        surfaceparm nomarks
	q3map_surfacelight 500
    cull disable
	{
        	map textures/tp_ctf/tp_ctf_blue_neon.jpg
    }
 
}
textures/tp_ctf/tp_ctf_red
{
	qer_editorimage textures/tp_ctf/tp_ctf_red_neon.jpg
	q3map_globaltexture
        surfaceparm nomarks
	q3map_surfacelight 500
    cull disable
	{
        	map textures/tp_ctf/tp_ctf_red_neon.jpg
    }
 
}
textures/ql/snow
{
	surfaceparm	snowsteps
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/ql/snow.tga
		rgbGen identity
		blendfunc filter
	}
}
textures/base_support/metal_support2
{
    	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/base_support/metal_support2.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/sfx/blue_techfloor_kc
{    
     	surfaceparm	metalsteps
	surfaceparm 	alphashadow
	surfaceparm	nomarks
	polygonOffset 
	sort 6	 
        qer_editorimage textures/sfx/techfloor_kc.tga
	nopicmip
        {
		clampmap textures/sfx/zzztblue_kc.tga
               	alphaFunc GE128
		tcmod rotate 360
		rgbgen wave sin .8 .2 0 2
		depthWrite
	}
        {
                clampmap textures/sfx/techfloor2_kc.tga
		blendfunc blend
                tcmod rotate 180
		depthFunc equal
                tcMod stretch sin .8 0.1 0 .4
	        rgbGen identity
	}
        
	{
		map textures/sfx/techfloor_kc.tga
                blendfunc blend
		depthFunc equal
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
	{
	        map textures/sfx/techfloor_kc_shadow.tga
                blendfunc filter
	        rgbGen identity
	}
}
textures/proto2/reda_dcl
{
	surfaceparm	nomarks 
	surfaceparm	trans
	surfaceparm	nonsolid
     surfaceparm pointlight
	polygonOffset
	qer_trans 0.5
	sort 6
	nopicmip
        {
		map textures/proto2/reda_dcl.tga
        blendfunc add
		rgbGen vertex
	}
}
textures/sfx/red_techfloor_kc
{    
     	surfaceparm	metalsteps
	surfaceparm 	alphashadow
	surfaceparm	nomarks	 
	polygonOffset 
	sort 6
        qer_editorimage textures/sfx/techfloor_kc.tga
	nopicmip
        {
		clampmap textures/sfx/zzztred_kc.tga
               	alphaFunc GE128
		tcmod rotate 360
		rgbgen wave sin .8 .2 0 2
		depthWrite
	}
        {
                clampmap textures/sfx/techfloor2_kc.tga
		blendfunc blend
                tcmod rotate 180
		depthFunc equal
                tcMod stretch sin .8 0.1 0 .4
	        rgbGen identity
	}
        
	{
		map textures/sfx/techfloor_kc.tga
                blendfunc blend
		depthFunc equal
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
	{
	        map textures/sfx/techfloor_kc_shadow.tga
                blendfunc filter
	        rgbGen identity
	}
}
textures/sfx2/fan01_jumppad_b
{
	qer_editorimage textures/sfx2/jumppad_rust.tga
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
	{
		map textures/sfx2/jumppad_rust.tga
		alphafunc GE128
		depthwrite
		rgbGen identity
	}
 	{
		clampmap textures/sfx2/jumpadb2.tga
		blendfunc add
		depthfunc equal
		tcmod rotate 130
		tcMod stretch sin 1.2 .8 0 1.4
		rgbGen wave square .5 .5 .25 1.4
	}
	{
		map textures/sfx2/fan01.tga
		blendfunc blend
		depthfunc equal
		tcmod rotate 360
		rgbGen identity
	}
	{
		map textures/sfx2/jumportal01.tga
		blendfunc blend
		depthfunc equal
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
		rgbGen identity
	}
}
textures/ct_infinity/grate_02_trans
{
	surfaceparm	metalsteps	
        surfaceparm trans		
	surfaceparm nonsolid  //Tim's fuckage
	qer_editorimage textures/ct_infinity/grate_02.tga
	cull none
    nopicmip
	surfaceparm alphashadow

	// A GRATE OR GRILL THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/ct_infinity/grate_02.tga
		//tcMod scale 2 2
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ad_content/2x1
{
	qer_editorimage textures/ad_content/ad2x1.jpg
	nopicmip
    	{
		map textures/ad_content/ad2x1.jpg
	}
	{
		map $lightmap
	    	rgbGen identity
		blendfunc filter
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	    	rgbGen wave sin .15 0 0 0
		blendfunc add
	}
}
textures/sfx2/fan01_jumppad
{
	qer_editorimage textures/sfx2/jumppad_rust.tga
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
	{
		map textures/sfx2/jumppad_rust.tga
		alphafunc GE128
		depthwrite
		rgbGen identity
	}
 	{
		clampmap textures/sfx2/jumpadr2.tga
		blendfunc add
		depthfunc equal
		tcmod rotate 130
		tcMod stretch sin 1.2 .8 0 1.4
		rgbGen wave square .5 .5 .25 1.4
	}
	{
		map textures/sfx2/fan01.tga
		blendfunc blend
		depthfunc equal
		tcmod rotate 360
		rgbGen identity
	}
	{
		map textures/sfx2/jumportal01.tga
		blendfunc blend
		depthfunc equal
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
		rgbGen identity
	}
}
textures/sfx/wall_jump
{
	qer_editorimage textures/sfx/wall_jump.tga
	{
		map textures/sfx2/rlaunch3.tga
		rgbGen identity
		tcmod scale 1 .5
		tcmod scroll 0 1.42
	}
	{
		map textures/sfx/wall_jump.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}	
}
textures/proto2/girder03
{
	surfaceparm trans	
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/proto2/girder03.tga
		alphaFunc GE128
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/sfx/wall_jump_blue
{
	qer_editorimage textures/sfx/wall_jump.tga
	{
		map textures/sfx2/rlaunch3_blue.tga
		rgbGen identity
		tcmod scale 1 .5
		tcmod scroll 0 1.42
	}
	{
		map textures/sfx/wall_jump.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}	
}
textures/tp_ctf/PU_spawn
{
	qer_editorimage textures/tp_ctf/snow_tiles_logo.tga
	{
		map textures/tp_ctf/snow_tiles_logo.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}
}
textures/skies/devilish
{
	qer_editorimage textures/skies/env/devilish_rt.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 200
	q3map_lightImage textures/skies/meth_clouds_blue.tga
	skyparms textures/skies/env/devilish 512 -
	{
		map textures/skies/meth_clouds3.tga
		blendfunc filter
		tcMod scale 3 2
		tcMod scroll 0.02 0.04
	}
	{
		map textures/skies/devilish_dimclouds.tga
		blendfunc add
		tcMod scale 5 5
		tcMod scroll 0.02 0.02
	}
}
textures/se_gothic/tile_02
{
	qer_editorimage textures/se_gothic/tile_02.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/se_gothic/tile_02.tga
		blendfunc filter
	}
}
textures/proto2/rsbluelight_off
//for team sides in mpterra2 (4 of 8)
{
  qer_editorimage textures/proto2/bluelight_off.tga
	{
		map textures/proto2/bluelight_off.tga
		rgbGen identity
	}
}
textures/phantq3dm3/tp_rust_trim_002
{	
	cull none    	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/phantq3dm3/tp_rust_trim_002.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/base_support/metal_support3
{
    	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/base_support/metal_support3.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/base_light/geolight4_2k
{
	qer_editorimage textures/base_light/geolight4.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/geolight4.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/base_light/geolight4.blend.tga
		blendfunc add
	}
}
textures/ad_content/1x1
{   
    qer_editorimage textures/ad_content/ad1x1.jpg
    nopicmip
	{
		map textures/ad_content/ad1x1.jpg
  	}
	{
		map $lightmap
	    	rgbGen identity
		blendfunc filter
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	    	rgbGen wave sin .15 0 0 0
		blendfunc add
	}
}